Skip to main content
GET
/
clients
/
{id}
Get client
curl --request GET \
  --url https://api.sftpsync.io/clients/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.sftpsync.io/clients/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.sftpsync.io/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "sftpUsername": "<string>",
  "useHostedSFTP": true,
  "awsUserName": "<string>",
  "awsPublicKey": "<string>",
  "ipWhitelist": [
    "<string>"
  ],
  "sftpServerDataId": "<string>",
  "sftpServer": {
    "id": "<string>",
    "name": "<string>",
    "isAwsHosted": true,
    "host": "<string>",
    "port": 123,
    "status": "<string>",
    "rootDirectory": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "emailInbox": {
    "inboundAddress": "<string>",
    "allowedSenders": [
      "<string>"
    ],
    "allowedFormats": [],
    "subjectFilter": "<string>"
  }
}
{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Response

Client

Deprecated — alias for Connection. Removed when API version 2024-09-01 sunsets on 2027-05-25.

id
string
required
name
string
required
type
enum<string>
required

Connection kind. Always present as of API version 2026-05-25.

Available options:
SFTP,
EMAIL
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
sftpUsername
string
useHostedSFTP
boolean
awsUserName
string

Server-generated SFTP username slug for a FileFeed-hosted connection. (Outbound uploads reference a connection by its human-readable name, not this slug.)

awsPublicKey
string
ipWhitelist
string[]
sftpServerDataId
string
sftpServer
object

The SFTP server a connection is bound to. For a self-hosted connection, host/port/rootDirectory describe the customer endpoint FileFeed dials out to; for a hosted connection, the FileFeed-managed AWS Transfer server.

emailInbox
object

Resolved inbox config for an EMAIL connection. Returned on Connection.emailInbox, present only when type = EMAIL.